        subroutine GETVAR
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'TRANS.INC'
      go to (100,170,330,400,470,530,590,660,730,780,880,950,1060,1130,
     &   1200,1290,1350,1460), ICOM
100   continue
      go to (110,120,130,140,150,160), IVAR
110   continue
      L1 = CHEMNA(ICL1,ICL2)
      go to 1530
120   continue
      L1 = ECONAM(ICL1)
      go to 1530
130   continue
      L1 = LOADNM(ICL1)
      go to 1530
140   continue
      L1 = PRODNM(ICL1)
      go to 1530
150   continue
      L1 = TYPEG(ICL1)
      go to 1530
160   continue
      L1 = AIRTYG(ICL1)
      go to 1530
170   continue
      go to (180,190,200,210,220,230,240,250,260,270,280,290,300,310,320
     &   ), IVAR
180   continue
      I2 = FIXFIL
      go to 1530
190   continue
      I2 = IUNITG
      go to 1530
200   continue
      I2 = MCHEMG
      go to 1530
210   continue
      I2 = KCHEM
      go to 1530
220   continue
      I2 = MODEG
      go to 1530
230   continue
      I2 = PRSWG
      go to 1530
240   continue
      I2 = MONTHG
      go to 1530
250   continue
      I2 = NYEARG
      go to 1530
260   continue
      I2 = YEAR1G
      go to 1530
270   continue
      I2 = TCODEG
      go to 1530
280   continue
      R4 = CINTG
      go to 1530
290   continue
      R4 = TENDG
      go to 1530
300   continue
      R4 = TINITG
      go to 1530
310   continue
      R4 = ABSERG
      go to 1530
320   continue
      R4 = RELERG
      go to 1530
330   continue
      go to (340,350,360,370,380,390), IVAR
340   continue
      I2 = SPFLGG(ICL1,ICL2)
      go to 1530
350   continue
      R4 = MWTG(ICL1)
      go to 1530
360   continue
      R4 = SOLG(ICL1,ICL2)
      go to 1530
370   continue
      R4 = ESOLG(ICL1,ICL2)
      go to 1530
380   continue
      R4 = PKG(ICL1,ICL2)
      go to 1530
390   continue
      R4 = EPKG(ICL1,ICL2)
      go to 1530
400   continue
      go to (410,420,430,440,450,460), IVAR
410   continue
      R4 = KOCG(ICL1)
      go to 1530
420   continue
      R4 = KOWG(ICL1)
      go to 1530
430   continue
      R4 = KPBG(ICL1,ICL2)
      go to 1530
440   continue
      R4 = KPDOCG(ICL1,ICL2)
      go to 1530
450   continue
      R4 = KPSG(ICL1,ICL2)
      go to 1530
460   continue
      R4 = KIECG(ICL1,ICL2)
      go to 1530
470   continue
      go to (480,490,500,510,520), IVAR
480   continue
      R4 = KVOG(ICL1)
      go to 1530
490   continue
      R4 = HENRYG(ICL1)
      go to 1530
500   continue
      R4 = EHENG(ICL1)
      go to 1530
510   continue
      R4 = VAPRG(ICL1)
      go to 1530
520   continue
      R4 = EVPRG(ICL1)
      go to 1530
530   continue
      go to (540,550,560,570,580), IVAR
540   continue
      R4 = QUANTG(ICL1,ICL2,ICL3)
      go to 1530
550   continue
      R4 = KDPG(ICL1,ICL2)
      go to 1530
560   continue
      R4 = RFLATG(ICL1,ICL2)
      go to 1530
570   continue
      R4 = ABSORG(ICL1,ICL2,ICL3)
      go to 1530
580   continue
      R4 = LAMAXG(ICL1,ICL2)
      go to 1530
590   continue
      go to (600,610,620,630,640,650), IVAR
600   continue
      R4 = KAHG(ICL1,ICL2,ICL3)
      go to 1530
610   continue
      R4 = EAHG(ICL1,ICL2,ICL3)
      go to 1530
620   continue
      R4 = KNHG(ICL1,ICL2,ICL3)
      go to 1530
630   continue
      R4 = ENHG(ICL1,ICL2,ICL3)
      go to 1530
640   continue
      R4 = KBHG(ICL1,ICL2,ICL3)
      go to 1530
650   continue
      R4 = EBHG(ICL1,ICL2,ICL3)
      go to 1530
660   continue
      go to (670,680,690,700,710,720), IVAR
670   continue
      R4 = KOXG(ICL1,ICL2,ICL3)
      go to 1530
680   continue
      R4 = EOXG(ICL1,ICL2,ICL3)
      go to 1530
690   continue
      R4 = K1O2G(ICL1,ICL2,ICL3)
      go to 1530
700   continue
      R4 = EK1O2G(ICL1,ICL2,ICL3)
      go to 1530
710   continue
      R4 = KREDG(ICL1,ICL2,ICL3)
      go to 1530
720   continue
      R4 = EREDG(ICL1,ICL2,ICL3)
      go to 1530
730   continue
      go to (740,750,760,770), IVAR
740   continue
      R4 = KBACWG(ICL1,ICL2,ICL3)
      go to 1530
750   continue
      R4 = QTBAWG(ICL1,ICL2,ICL3)
      go to 1530
760   continue
      R4 = KBACSG(ICL1,ICL2,ICL3)
      go to 1530
770   continue
      R4 = QTBASG(ICL1,ICL2,ICL3)
      go to 1530
780   continue
      go to (790,800,810,820,830,840,850,860,870), IVAR
790   continue
      I2 = KOUNT
      go to 1530
800   continue
      I2 = JFRADG(ICL1)
      go to 1530
810   continue
      I2 = ITOADG(ICL1)
      go to 1530
820   continue
      R4 = ADVPRG(ICL1)
      go to 1530
830   continue
      I2 = JTURBG(ICL1)
      go to 1530
840   continue
      I2 = ITURBG(ICL1)
      go to 1530
850   continue
      R4 = XSTURG(ICL1)
      go to 1530
860   continue
      R4 = CHARLG(ICL1)
      go to 1530
870   continue
      R4 = DSPG(ICL1,ICL2)
      go to 1530
880   continue
      go to (890,900,910,920,930,940), IVAR
890   continue
      R4 = SUSEDG(ICL1,ICL2)
      go to 1530
900   continue
      R4 = BULKDG(ICL1,ICL2)
      go to 1530
910   continue
      R4 = FROCG(ICL1,ICL2)
      go to 1530
920   continue
      R4 = CECG(ICL1,ICL2)
      go to 1530
930   continue
      R4 = AECG(ICL1,ICL2)
      go to 1530
940   continue
      R4 = PCTWAG(ICL1,ICL2)
      go to 1530
950   continue
      go to (960,970,980,990,1000,1010,1020,1030,1040,1050), IVAR
960   continue
      R4 = TCELG(ICL1,ICL2)
      go to 1530
970   continue
      R4 = PHG(ICL1,ICL2)
      go to 1530
980   continue
      R4 = POHG(ICL1,ICL2)
      go to 1530
990   continue
      R4 = OXRADG(ICL1)
      go to 1530
1000  continue
      R4 = REDAGG(ICL1,ICL2)
      go to 1530
1010  continue
      R4 = BACPLG(ICL1,ICL2)
      go to 1530
1020  continue
      R4 = BNBACG(ICL1,ICL2)
      go to 1530
1030  continue
      R4 = PLMASG(ICL1,ICL2)
      go to 1530
1040  continue
      R4 = BNMASG(ICL1,ICL2)
      go to 1530
1050  continue
      R4 = KO2G(ICL1,ICL2)
      go to 1530
1060  continue
      go to (1070,1080,1090,1100,1110,1120), IVAR
1070  continue
      R4 = DOCG(ICL1,ICL2)
      go to 1530
1080  continue
      R4 = CHLG(ICL1,ICL2)
      go to 1530
1090  continue
      R4 = CLOUDG(ICL1)
      go to 1530
1100  continue
      R4 = DFACG(ICL1,ICL2)
      go to 1530
1110  continue
      R4 = DISO2G(ICL1,ICL2)
      go to 1530
1120  continue
      R4 = OZONEG(ICL1)
      go to 1530
1130  continue
      go to (1140,1150,1160,1170,1180,1190), IVAR
1140  continue
      R4 = VOLG(ICL1)
      go to 1530
1150  continue
      R4 = AREAG(ICL1)
      go to 1530
1160  continue
      R4 = DEPTHG(ICL1)
      go to 1530
1170  continue
      R4 = XSAG(ICL1)
      go to 1530
1180  continue
      R4 = LENGG(ICL1)
      go to 1530
1190  continue
      R4 = WIDTHG(ICL1)
      go to 1530
1200  continue
      go to (1210,1220,1230,1240,1250,1260,1270,1280), IVAR
1210  continue
      R4 = RAING(ICL1)
      go to 1530
1220  continue
      R4 = EVAPG(ICL1,ICL2)
      go to 1530
1230  continue
      R4 = LATG
      go to 1530
1240  continue
      R4 = LONGG
      go to 1530
1250  continue
      R4 = WINDG(ICL1,ICL2)
      go to 1530
1260  continue
      R4 = ELEVG
      go to 1530
1270  continue
      R4 = RHUMG(ICL1)
      go to 1530
1280  continue
      R4 = ATURBG(ICL1)
      go to 1530
1290  continue
      go to (1300,1310,1320,1330,1340), IVAR
1300  continue
      R4 = STFLOG(ICL1,ICL2)
      go to 1530
1310  continue
      R4 = STSEDG(ICL1,ICL2)
      go to 1530
1320  continue
      R4 = NPSFLG(ICL1,ICL2)
      go to 1530
1330  continue
      R4 = NPSEDG(ICL1,ICL2)
      go to 1530
1340  continue
      R4 = SEEPSG(ICL1,ICL2)
      go to 1530
1350  continue
      go to (1360,1370,1380,1390,1395,1400,1410,1420,1430,1440,1450,
     &1455),IVAR
1360  continue
      R4 = STRLDG(ICL1,ICL2,ICL3)
      go to 1530
1370  continue
      R4 = NPSLDG(ICL1,ICL2,ICL3)
      go to 1530
1380  continue
      R4 = PCPLDG(ICL1,ICL2,ICL3)
      go to 1530
1390  continue
      R4 = DRFLDG(ICL1,ICL2,ICL3)
      go to 1530
1395  continue
      R4 = PRBENG
      go to 1530
1400  continue
      R4 = SEELDG(ICL1,ICL2,ICL3)
      go to 1530
1410  continue
      R4 = IMASSG(ICL1)
      go to 1530
1420  continue
      I2 = ISEGG(ICL1)
      go to 1530
1430  continue
      I2 = ICHEMG(ICL1)
      go to 1530
1440  continue
      I2 = IMONG(ICL1)
      go to 1530
1450  continue
      I2 = IDAYG(ICL1)
      go to 1530
1455  continue
      I2 = IYEARG(ICL1)
      go to 1530
1460  continue
      go to (1470,1480,1490,1500,1510,1520), IVAR
1470  continue
      I2 = CHPARG(ICL1)
      go to 1530
1480  continue
      I2 = TPRODG(ICL1)
      go to 1530
1490  continue
      I2 = NPROCG(ICL1)
      go to 1530
1500  continue
      I2 = RFORMG(ICL1)
      go to 1530
1510  continue
      R4 = YIELDG(ICL1)
      go to 1530
1520  continue
      R4 = EAYLDG(ICL1)
1530  continue
      return
      end
